<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "shift";
$formname = "Shift Print";
$file = "shift_print_fr.php";
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
//browse($pmain[dorn]);

$shift = $_POST[shift];
$shiftcond = "";

if (!empty($shift)) {
    $shiftcond = " AND `code`='$shift' ";
    }

$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code!='' $shiftcond ")or die(mysqli_error($conn));

if (isset($_POST["view"])) {
    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">

            <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-bordered table-condensed table-hover">
                        <tr  style="background-color: #26A69A">
                            <th width="10%">Sr.</th>
                            <th width="30%">Shift </th>
                            <th width="20%">Day/Night</th>
                            <th width="20%">Timings</th>


                        </tr>
                        <?php
                        $ctr = 0;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            if ($pmain[dorn] == 'D') {
                                $dorn = "Day";
                            } else {
                                $dorn = "Night";
                            }
                            $ctr++;
                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[shift]</td>";
                            Echo "<td>$dorn</td>";
                            Echo "<td>$pmain[fromtm] - $pmain[totm]</td>";
                            Echo "</tr>";
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

    <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
         
              $contents .= "Sr.,Shift,Day/Night,Timings\n";
                      
                        $ctr = 0;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            if ($pmain[dorn] == 'D') {
                                $dorn = "Day";
                            } else {
                                $dorn = "Night";
                            }
                            $ctr++;
                            
                            $contents .= "$ctr" . ",";
                            $contents .= "$pmain[shift]" . ",";
                            $contents .= "$dorn" . ",";
                            $contents .= "$pmain[fromtm] - $pmain[totm]" . "\n";
                            
                        }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
